`timescale 1 ns/100 ps
// Version: 9.0 SP2 9.0.3.3


module Top(
       CLKA,
       Q,
       NSYSRESET,
       FF
    );
input  CLKA;
output [2:0] Q;
input  NSYSRESET;
input  FF;

    wire AND2_0_Y, CLKGEN_0_GLA, CLKGEN_0_LOCK, Counter1_0_Q17to17, 
        GND_net, VCC_net;
    
    Counter2 Counter2_0 (.Aclr(NSYSRESET), .Clock(Counter1_0_Q17to17), 
        .Q({Q[2], Q[1], Q[0]}));
    VCC VCC (.Y(VCC_net));
    CLKGEN CLKGEN_0 (.POWERDOWN(VCC_net), .CLKA(CLKA), .LOCK(
        CLKGEN_0_LOCK), .GLA(CLKGEN_0_GLA));
    GND GND (.Y(GND_net));
    Counter1 Counter1_0 (.Aclr(AND2_0_Y), .Clock(CLKGEN_0_GLA), .Q({
        Counter1_0_Q17to17, nc0, nc1, nc2, nc3, nc4, nc5, nc6, nc7, 
        nc8, nc9, nc10, nc11, nc12, nc13, nc14, nc15, nc16}));
    INBUF_FF INBUF_FF_0 (.PAD(FF), .Y());
    AND2 AND2_0 (.A(CLKGEN_0_LOCK), .B(NSYSRESET), .Y(AND2_0_Y));
    
endmodule
