`timescale 1 ns/100 ps
// Version: 9.0 SP2 9.0.3.3
// File used only for Simulation


module PLLBA(
       CLKA,
       EXTFB,
       POWERDOWN,
       GLA,
       LOCK,
       GLB,
       YB,
       GLC,
       YC,
       OADIV0,
       OADIV1,
       OADIV2,
       OADIV3,
       OADIV4,
       OAMUX0,
       OAMUX1,
       OAMUX2,
       DLYGLA0,
       DLYGLA1,
       DLYGLA2,
       DLYGLA3,
       DLYGLA4,
       OBDIV0,
       OBDIV1,
       OBDIV2,
       OBDIV3,
       OBDIV4,
       OBMUX0,
       OBMUX1,
       OBMUX2,
       DLYYB0,
       DLYYB1,
       DLYYB2,
       DLYYB3,
       DLYYB4,
       DLYGLB0,
       DLYGLB1,
       DLYGLB2,
       DLYGLB3,
       DLYGLB4,
       OCDIV0,
       OCDIV1,
       OCDIV2,
       OCDIV3,
       OCDIV4,
       OCMUX0,
       OCMUX1,
       OCMUX2,
       DLYYC0,
       DLYYC1,
       DLYYC2,
       DLYYC3,
       DLYYC4,
       DLYGLC0,
       DLYGLC1,
       DLYGLC2,
       DLYGLC3,
       DLYGLC4,
       FINDIV0,
       FINDIV1,
       FINDIV2,
       FINDIV3,
       FINDIV4,
       FINDIV5,
       FINDIV6,
       FBDIV0,
       FBDIV1,
       FBDIV2,
       FBDIV3,
       FBDIV4,
       FBDIV5,
       FBDIV6,
       FBDLY0,
       FBDLY1,
       FBDLY2,
       FBDLY3,
       FBDLY4,
       FBSEL0,
       FBSEL1,
       XDLYSEL,
       VCOSEL0,
       VCOSEL1,
       VCOSEL2
    );
input  CLKA;
input  EXTFB;
input  POWERDOWN;
output GLA;
output LOCK;
output GLB;
output YB;
output GLC;
output YC;
input  OADIV0;
input  OADIV1;
input  OADIV2;
input  OADIV3;
input  OADIV4;
input  OAMUX0;
input  OAMUX1;
input  OAMUX2;
input  DLYGLA0;
input  DLYGLA1;
input  DLYGLA2;
input  DLYGLA3;
input  DLYGLA4;
input  OBDIV0;
input  OBDIV1;
input  OBDIV2;
input  OBDIV3;
input  OBDIV4;
input  OBMUX0;
input  OBMUX1;
input  OBMUX2;
input  DLYYB0;
input  DLYYB1;
input  DLYYB2;
input  DLYYB3;
input  DLYYB4;
input  DLYGLB0;
input  DLYGLB1;
input  DLYGLB2;
input  DLYGLB3;
input  DLYGLB4;
input  OCDIV0;
input  OCDIV1;
input  OCDIV2;
input  OCDIV3;
input  OCDIV4;
input  OCMUX0;
input  OCMUX1;
input  OCMUX2;
input  DLYYC0;
input  DLYYC1;
input  DLYYC2;
input  DLYYC3;
input  DLYYC4;
input  DLYGLC0;
input  DLYGLC1;
input  DLYGLC2;
input  DLYGLC3;
input  DLYGLC4;
input  FINDIV0;
input  FINDIV1;
input  FINDIV2;
input  FINDIV3;
input  FINDIV4;
input  FINDIV5;
input  FINDIV6;
input  FBDIV0;
input  FBDIV1;
input  FBDIV2;
input  FBDIV3;
input  FBDIV4;
input  FBDIV5;
input  FBDIV6;
input  FBDLY0;
input  FBDLY1;
input  FBDLY2;
input  FBDLY3;
input  FBDLY4;
input  FBSEL0;
input  FBSEL1;
input  XDLYSEL;
input  VCOSEL0;
input  VCOSEL1;
input  VCOSEL2;

    wire GND, SDOUT, FB, EXTFBDLY, GLADLY, LOCKDLY, GLBDLY, YBDLY, 
        GLCDLY, YCDLY, VCODLY;
    wire GND_power_net1;
    assign GND = GND_power_net1;
    
    PLL_SDF #( .VCOFREQUENCY(24.000000) )  pll_sdf_0 (.CLKA(CLKA), 
        .EXTFB(EXTFBDLY), .POWERDOWN(POWERDOWN), .GLAOUT(GLADLY), 
        .LOCKOUT(LOCKDLY), .GLBOUT(GLBDLY), .YBOUT(YBDLY), .GLCOUT(
        GLCDLY), .YCOUT(YCDLY), .OADIV0(OADIV0), .OADIV1(OADIV1), 
        .OADIV2(OADIV2), .OADIV3(OADIV3), .OADIV4(OADIV4), .OAMUX0(
        OAMUX0), .OAMUX1(OAMUX1), .OAMUX2(OAMUX2), .DLYGLA0(DLYGLA0), 
        .DLYGLA1(DLYGLA1), .DLYGLA2(DLYGLA2), .DLYGLA3(DLYGLA3), 
        .DLYGLA4(DLYGLA4), .OBDIV0(OBDIV0), .OBDIV1(OBDIV1), .OBDIV2(
        OBDIV2), .OBDIV3(OBDIV3), .OBDIV4(OBDIV4), .OBMUX0(OBMUX0), 
        .OBMUX1(OBMUX1), .OBMUX2(OBMUX2), .DLYYB0(DLYYB0), .DLYYB1(
        DLYYB1), .DLYYB2(DLYYB2), .DLYYB3(DLYYB3), .DLYYB4(DLYYB4), 
        .DLYGLB0(DLYGLB0), .DLYGLB1(DLYGLB1), .DLYGLB2(DLYGLB2), 
        .DLYGLB3(DLYGLB3), .DLYGLB4(DLYGLB4), .OCDIV0(OCDIV0), .OCDIV1(
        OCDIV1), .OCDIV2(OCDIV2), .OCDIV3(OCDIV3), .OCDIV4(OCDIV4), 
        .OCMUX0(OCMUX0), .OCMUX1(OCMUX1), .OCMUX2(OCMUX2), .DLYYC0(
        DLYYC0), .DLYYC1(DLYYC1), .DLYYC2(DLYYC2), .DLYYC3(DLYYC3), 
        .DLYYC4(DLYYC4), .DLYGLC0(DLYGLC0), .DLYGLC1(DLYGLC1), 
        .DLYGLC2(DLYGLC2), .DLYGLC3(DLYGLC3), .DLYGLC4(DLYGLC4), 
        .FINDIV0(FINDIV0), .FINDIV1(FINDIV1), .FINDIV2(FINDIV2), 
        .FINDIV3(FINDIV3), .FINDIV4(FINDIV4), .FINDIV5(FINDIV5), 
        .FINDIV6(FINDIV6), .FBDIV0(FBDIV0), .FBDIV1(FBDIV1), .FBDIV2(
        FBDIV2), .FBDIV3(FBDIV3), .FBDIV4(FBDIV4), .FBDIV5(FBDIV5), 
        .FBDIV6(FBDIV6), .FBDLY0(FBDLY0), .FBDLY1(FBDLY1), .FBDLY2(
        FBDLY2), .FBDLY3(FBDLY3), .FBDLY4(FBDLY4), .FBSEL0(FBSEL0), 
        .FBSEL1(FBSEL1), .XDLYSEL(XDLYSEL), .VCOSEL0(VCOSEL0), 
        .VCOSEL1(VCOSEL1), .VCOSEL2(VCOSEL2), .INTFB(FB), .VCOOUT(
        VCODLY));
    PLL_DLY_SDF #( .VCOFREQUENCY(24.000000) )  pll_dly_sdf_0 (.GLA(GLA)
        , .LOCK(LOCK), .GLB(GLB), .YB(YB), .GLC(GLC), .YC(YC), .GLAIN(
        GLADLY), .LOCKIN(LOCKDLY), .GLBIN(GLBDLY), .YBIN(YBDLY), 
        .GLCIN(GLCDLY), .YCIN(YCDLY), .EXTFBOUT(EXTFBDLY), .EXTFBIN(
        EXTFB), .VCOIN(VCODLY), .PLLOUT(FB));
    GND GND_power_inst1 (.Y(GND_power_net1));
    
endmodule


module Top(
       CLKA,
       Q,
       NSYSRESET,
       FF
    );
input  CLKA;
output [2:0] Q;
input  NSYSRESET;
input  FF;

    wire CLKGEN_0_LOCK, CLKGEN_0_GLA, AND2_0_Y, Counter1_0_Q17to17, 
        CLKA_c, \Q_c[0] , \Q_c[1] , \Q_c[2] , NSYSRESET_c, 
        \Counter2_0/INV_1_Y , \Counter2_0/XOR2_0_Y , 
        \Counter2_0/INV_0_Y , \Counter1_0/G_10_0_0_o2_6 , 
        \Counter1_0/NU_9_10_11_0 , \Counter1_0/NU_0_1_2 , 
        \Counter1_0/G_10_0_0_o2_5 , \Counter1_0/NU_3_4_5_0 , 
        \Counter1_0/G_10_0_0_o2_3 , \Counter1_0/G_10_0_0_o2_2 , 
        \Counter1_0/DFN1E1C0_NU_8_net_1 , 
        \Counter1_0/DFN1E1C0_NU_14_net_1 , \Counter1_0/G_10_0_0_o2_1 , 
        \Counter1_0/DFN1E1C0_NU_12_net_1 , 
        \Counter1_0/DFN1C0_NU_6_net_1 , 
        \Counter1_0/DFN1E1C0_NU_13_net_1 , 
        \Counter1_0/DFN1E1C0_NU_7_net_1 , \Counter1_0/G_23_0_o2_1 , 
        \Counter1_0/G_18_0_0_o2_1 , \Counter1_0/G_1_0_0_o2_0 , 
        \Counter1_0/DFN1E1C0_NU_10_net_1 , 
        \Counter1_0/DFN1E1C0_NU_11_net_1 , 
        \Counter1_0/DFN1E1C0_NU_9_net_1 , 
        \Counter1_0/DFN1E1C0_NU_4_net_1 , 
        \Counter1_0/DFN1E1C0_NU_5_net_1 , 
        \Counter1_0/DFN1E1C0_NU_3_net_1 , 
        \Counter1_0/DFN1E1C0_NU_1_net_1 , 
        \Counter1_0/DFN1C0_NU_2_net_1 , \Counter1_0/DFN1C0_NU_0_net_1 , 
        \Counter1_0/NU_0_to_8 , \Counter1_0/XOR2_8_Y , 
        \Counter1_0/XOR2_12_Y , \Counter1_0/DFN1E1C0_NU_16_net_1 , 
        \Counter1_0/XOR2_5_Y , \Counter1_0/DFN1E1C0_NU_15_net_1 , 
        \Counter1_0/XOR2_1_Y , \Counter1_0/XOR2_2_Y , 
        \Counter1_0/XOR2_3_Y , \Counter1_0/XOR2_10_Y , 
        \Counter1_0/XOR2_6_Y , \Counter1_0/XOR2_13_Y , 
        \Counter1_0/Counter1_0_Q17to17_i , \Counter1_0/INV_0_Y , 
        \Counter1_0/XOR2_11_Y , \Counter1_0/NU_6_7 , 
        \Counter1_0/XOR2_4_Y , \Counter1_0/NU_15_16 , 
        \Counter1_0/XOR2_0_Y , \Counter1_0/XOR2_7_Y , 
        \Counter1_0/INV_2_Y , \Counter1_0/INV_3_Y , 
        \Counter1_0/INV_1_Y , \Counter1_0/XOR2_9_Y , GND, VCC, 
        \NSYSRESET_pad/U0/NET1 , \Q_pad[2]/U0/NET1 , 
        \Q_pad[2]/U0/NET2 , \INBUF_FF_0/U0/NET1 , \CLKA_pad/U0/NET1 , 
        \Q_pad[1]/U0/NET1 , \Q_pad[1]/U0/NET2 , \Q_pad[0]/U0/NET1 , 
        \Q_pad[0]/U0/NET2 , AND2_0_Y_CLKINT_DRIVER, 
        \Counter2_0/DFN1E1C0_NU_1/Y , AFLSDF_VCC, AFLSDF_GND;
    wire GND_power_net1;
    wire VCC_power_net1;
    assign GND = GND_power_net1;
    assign AFLSDF_GND = GND_power_net1;
    assign VCC = VCC_power_net1;
    assign AFLSDF_VCC = VCC_power_net1;
    
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_10  (.D(\Counter1_0/XOR2_11_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_10_net_1 ));
    IOTRI_OB_EB \Q_pad[0]/U0/U1  (.D(\Q_c[0] ), .E(VCC), .DOUT(
        \Q_pad[0]/U0/NET1 ), .EOUT(\Q_pad[0]/U0/NET2 ));
    OR3C \Counter1_0/DFN1E1C0_NU_8_RNIEMQJ  (.A(
        \Counter1_0/DFN1E1C0_NU_7_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_8_net_1 ), .C(
        \Counter1_0/DFN1C0_NU_6_net_1 ), .Y(\Counter1_0/G_23_0_o2_1 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_12  (.D(\Counter1_0/XOR2_13_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_12_net_1 ));
    OR2B \Counter1_0/DFN1E1C0_NU_11_RNIPJ4U  (.A(
        \Counter1_0/NU_9_10_11_0 ), .B(\Counter1_0/NU_0_1_2 ), .Y(
        \Counter1_0/G_10_0_0_o2_6 ));
    IOIN_IB \CLKA_pad/U0/U1  (.YIN(\CLKA_pad/U0/NET1 ), .Y(CLKA_c));
    AX1C \Counter1_0/DFN1E1C0_NU_13_RNO  (.A(\Counter1_0/NU_9_10_11_0 )
        , .B(\Counter1_0/DFN1E1C0_NU_12_net_1 ), .C(
        \Counter1_0/DFN1E1C0_NU_13_net_1 ), .Y(\Counter1_0/XOR2_6_Y ));
    AX1C \Counter1_0/XOR2_4  (.A(\Counter1_0/DFN1E1C0_NU_3_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_4_net_1 ), .C(
        \Counter1_0/DFN1E1C0_NU_5_net_1 ), .Y(\Counter1_0/XOR2_4_Y ));
    AND2 AND2_0 (.A(CLKGEN_0_LOCK), .B(NSYSRESET_c), .Y(
        AND2_0_Y_CLKINT_DRIVER));
    IOTRI_OB_EB \Q_pad[1]/U0/U1  (.D(\Q_c[1] ), .E(VCC), .DOUT(
        \Q_pad[1]/U0/NET1 ), .EOUT(\Q_pad[1]/U0/NET2 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_16  (.D(\Counter1_0/XOR2_12_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(
        \Counter1_0/DFN1E1C0_NU_15_net_1 ), .Q(
        \Counter1_0/DFN1E1C0_NU_16_net_1 ));
    AX1C \Counter1_0/DFN1E1C0_NU_7_RNO  (.A(\Counter1_0/NU_0_1_2 ), .B(
        \Counter1_0/NU_3_4_5_0 ), .C(\Counter1_0/DFN1E1C0_NU_7_net_1 ), 
        .Y(\Counter1_0/XOR2_2_Y ));
    IOTRI_OB_EB \Q_pad[2]/U0/U1  (.D(\Q_c[2] ), .E(VCC), .DOUT(
        \Q_pad[2]/U0/NET1 ), .EOUT(\Q_pad[2]/U0/NET2 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_5  (.D(\Counter1_0/XOR2_4_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_1_2 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_5_net_1 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_9  (.D(\Counter1_0/INV_0_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_9_net_1 ));
    DFN1C0 \Counter2_0/DFN1C0_NU_0  (.D(\Counter2_0/INV_1_Y ), .CLK(
        Counter1_0_Q17to17), .CLR(NSYSRESET_c), .Q(\Q_c[0] ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_8  (.D(\Counter1_0/XOR2_3_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_6_7 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_8_net_1 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_14  (.D(\Counter1_0/XOR2_1_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_14_net_1 ));
    DFN1C0 \Counter2_0/DFN1E1C0_NU_1/U1  (.D(
        \Counter2_0/DFN1E1C0_NU_1/Y ), .CLK(Counter1_0_Q17to17), .CLR(
        NSYSRESET_c), .Q(\Q_c[1] ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_7  (.D(\Counter1_0/XOR2_2_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(
        \Counter1_0/DFN1C0_NU_6_net_1 ), .Q(
        \Counter1_0/DFN1E1C0_NU_7_net_1 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_1  (.D(\Counter1_0/INV_1_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(
        \Counter1_0/DFN1C0_NU_0_net_1 ), .Q(
        \Counter1_0/DFN1E1C0_NU_1_net_1 ));
    NOR3C \Counter1_0/DFN1C0_NU_2_RNI0T2K  (.A(
        \Counter1_0/DFN1E1C0_NU_1_net_1 ), .B(
        \Counter1_0/DFN1C0_NU_2_net_1 ), .C(
        \Counter1_0/DFN1C0_NU_0_net_1 ), .Y(\Counter1_0/NU_0_1_2 ));
    CLKINT \Counter1_0/DFN1E1C0_NU_17_RNIBEO1  (.A(
        \Counter1_0/Counter1_0_Q17to17_i ), .Y(Counter1_0_Q17to17));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_17  (.D(\Counter1_0/XOR2_8_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_15_16 ), 
        .Q(\Counter1_0/Counter1_0_Q17to17_i ));
    XOR2 \Counter1_0/DFN1E1C0_NU_12_RNO  (.A(
        \Counter1_0/DFN1E1C0_NU_12_net_1 ), .B(
        \Counter1_0/NU_9_10_11_0 ), .Y(\Counter1_0/XOR2_13_Y ));
    MX2 \Counter2_0/DFN1E1C0_NU_1/U0  (.A(\Q_c[1] ), .B(
        \Counter2_0/INV_0_Y ), .S(\Q_c[0] ), .Y(
        \Counter2_0/DFN1E1C0_NU_1/Y ));
    IOPAD_TRI \Q_pad[0]/U0/U0  (.D(\Q_pad[0]/U0/NET1 ), .E(
        \Q_pad[0]/U0/NET2 ), .PAD(Q[0]));
    DFN1C0 \Counter2_0/DFN1C0_NU_2  (.D(\Counter2_0/XOR2_0_Y ), .CLK(
        Counter1_0_Q17to17), .CLR(NSYSRESET_c), .Q(\Q_c[2] ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_15  (.D(\Counter1_0/XOR2_5_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_15_net_1 ));
    NOR3C \Counter1_0/DFN1E1C0_NU_5_RNI1FIJ  (.A(
        \Counter1_0/DFN1E1C0_NU_4_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_5_net_1 ), .C(
        \Counter1_0/DFN1E1C0_NU_3_net_1 ), .Y(\Counter1_0/NU_3_4_5_0 ));
    IOIN_IB \INBUF_FF_0/U0/U1  (.YIN(\INBUF_FF_0/U0/NET1 ), .Y());
    INV \Counter1_0/INV_1  (.A(\Counter1_0/DFN1E1C0_NU_1_net_1 ), .Y(
        \Counter1_0/INV_1_Y ));
    IOPAD_TRI \Q_pad[1]/U0/U0  (.D(\Q_pad[1]/U0/NET1 ), .E(
        \Q_pad[1]/U0/NET2 ), .PAD(Q[1]));
    INV \Counter2_0/INV_1  (.A(\Q_c[0] ), .Y(\Counter2_0/INV_1_Y ));
    OR2B \Counter1_0/DFN1E1C0_NU_12_RNINFH8  (.A(
        \Counter1_0/DFN1E1C0_NU_12_net_1 ), .B(
        \Counter1_0/DFN1C0_NU_6_net_1 ), .Y(\Counter1_0/G_10_0_0_o2_2 )
        );
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_3  (.D(\Counter1_0/INV_2_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_1_2 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_3_net_1 ));
    IOPAD_IN \CLKA_pad/U0/U0  (.PAD(CLKA), .Y(\CLKA_pad/U0/NET1 ));
    XOR2 \Counter1_0/XOR2_11  (.A(\Counter1_0/DFN1E1C0_NU_10_net_1 ), 
        .B(\Counter1_0/DFN1E1C0_NU_9_net_1 ), .Y(
        \Counter1_0/XOR2_11_Y ));
    DFN1C0 \Counter1_0/DFN1C0_NU_6  (.D(\Counter1_0/XOR2_10_Y ), .CLK(
        CLKGEN_0_GLA), .CLR(AND2_0_Y), .Q(
        \Counter1_0/DFN1C0_NU_6_net_1 ));
    IOPAD_TRI \Q_pad[2]/U0/U0  (.D(\Q_pad[2]/U0/NET1 ), .E(
        \Q_pad[2]/U0/NET2 ), .PAD(Q[2]));
    INV \Counter2_0/INV_0  (.A(\Q_c[1] ), .Y(\Counter2_0/INV_0_Y ));
    AX1C \Counter1_0/XOR2_9  (.A(\Counter1_0/DFN1C0_NU_0_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_1_net_1 ), .C(
        \Counter1_0/DFN1C0_NU_2_net_1 ), .Y(\Counter1_0/XOR2_9_Y ));
    AX1B \Counter1_0/DFN1E1C0_NU_16_RNO  (.A(
        \Counter1_0/G_10_0_0_o2_5 ), .B(\Counter1_0/G_10_0_0_o2_6 ), 
        .C(\Counter1_0/DFN1E1C0_NU_16_net_1 ), .Y(
        \Counter1_0/XOR2_12_Y ));
    AX1 \Counter1_0/DFN1E1C0_NU_14_RNO  (.A(\Counter1_0/G_1_0_0_o2_0 ), 
        .B(\Counter1_0/NU_9_10_11_0 ), .C(
        \Counter1_0/DFN1E1C0_NU_14_net_1 ), .Y(\Counter1_0/XOR2_1_Y ));
    ULSICC_INT INT_ULSICC_INSTANCE_0 (.USTDBY(GND), .LPENA(VCC));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_4  (.D(\Counter1_0/XOR2_7_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_1_2 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_4_net_1 ));
    IOIN_IB \NSYSRESET_pad/U0/U1  (.YIN(\NSYSRESET_pad/U0/NET1 ), .Y(
        NSYSRESET_c));
    IOPAD_IN \NSYSRESET_pad/U0/U0  (.PAD(NSYSRESET), .Y(
        \NSYSRESET_pad/U0/NET1 ));
    AND2 \Counter1_0/U_AND2_6_7  (.A(\Counter1_0/DFN1C0_NU_6_net_1 ), 
        .B(\Counter1_0/DFN1E1C0_NU_7_net_1 ), .Y(\Counter1_0/NU_6_7 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_13  (.D(\Counter1_0/XOR2_6_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_13_net_1 ));
    NOR3B \Counter1_0/DFN1E1C0_NU_8_RNIF2GR1  (.A(
        \Counter1_0/NU_3_4_5_0 ), .B(\Counter1_0/NU_0_1_2 ), .C(
        \Counter1_0/G_23_0_o2_1 ), .Y(\Counter1_0/NU_0_to_8 ));
    OR3B \Counter1_0/DFN1E1C0_NU_14_RNICHIG  (.A(
        \Counter1_0/DFN1E1C0_NU_8_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_14_net_1 ), .C(
        \Counter1_0/G_10_0_0_o2_1 ), .Y(\Counter1_0/G_10_0_0_o2_3 ));
    DFN1E1C0 \Counter1_0/DFN1E1C0_NU_11  (.D(\Counter1_0/XOR2_0_Y ), 
        .CLK(CLKGEN_0_GLA), .CLR(AND2_0_Y), .E(\Counter1_0/NU_0_to_8 ), 
        .Q(\Counter1_0/DFN1E1C0_NU_11_net_1 ));
    DFN1C0 \Counter1_0/DFN1C0_NU_2  (.D(\Counter1_0/XOR2_9_Y ), .CLK(
        CLKGEN_0_GLA), .CLR(AND2_0_Y), .Q(
        \Counter1_0/DFN1C0_NU_2_net_1 ));
    AX1C \Counter1_0/XOR2_0  (.A(\Counter1_0/DFN1E1C0_NU_9_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_10_net_1 ), .C(
        \Counter1_0/DFN1E1C0_NU_11_net_1 ), .Y(\Counter1_0/XOR2_0_Y ));
    AX1C \Counter1_0/DFN1E1C0_NU_8_RNO  (.A(\Counter1_0/NU_0_1_2 ), .B(
        \Counter1_0/NU_3_4_5_0 ), .C(\Counter1_0/DFN1E1C0_NU_8_net_1 ), 
        .Y(\Counter1_0/XOR2_3_Y ));
    OR2B \Counter1_0/DFN1E1C0_NU_13_RNIL898  (.A(
        \Counter1_0/DFN1E1C0_NU_13_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_7_net_1 ), .Y(
        \Counter1_0/G_10_0_0_o2_1 ));
    PLLBA \CLKGEN_0/Core  (.CLKA(CLKA_c), .EXTFB(GND), .POWERDOWN(VCC), 
        .GLA(CLKGEN_0_GLA), .LOCK(CLKGEN_0_LOCK), .GLB(), .YB(), .GLC()
        , .YC(), .OADIV0(VCC), .OADIV1(VCC), .OADIV2(VCC), .OADIV3(VCC)
        , .OADIV4(VCC), .OAMUX0(GND), .OAMUX1(GND), .OAMUX2(VCC), 
        .DLYGLA0(GND), .DLYGLA1(GND), .DLYGLA2(GND), .DLYGLA3(GND), 
        .DLYGLA4(GND), .OBDIV0(AFLSDF_GND), .OBDIV1(AFLSDF_GND), 
        .OBDIV2(AFLSDF_GND), .OBDIV3(AFLSDF_GND), .OBDIV4(AFLSDF_GND), 
        .OBMUX0(AFLSDF_GND), .OBMUX1(AFLSDF_GND), .OBMUX2(AFLSDF_GND), 
        .DLYYB0(AFLSDF_GND), .DLYYB1(AFLSDF_GND), .DLYYB2(AFLSDF_GND), 
        .DLYYB3(AFLSDF_GND), .DLYYB4(AFLSDF_GND), .DLYGLB0(AFLSDF_GND), 
        .DLYGLB1(AFLSDF_GND), .DLYGLB2(AFLSDF_GND), .DLYGLB3(
        AFLSDF_GND), .DLYGLB4(AFLSDF_GND), .OCDIV0(AFLSDF_GND), 
        .OCDIV1(AFLSDF_GND), .OCDIV2(AFLSDF_GND), .OCDIV3(AFLSDF_GND), 
        .OCDIV4(AFLSDF_GND), .OCMUX0(AFLSDF_GND), .OCMUX1(AFLSDF_GND), 
        .OCMUX2(AFLSDF_GND), .DLYYC0(AFLSDF_GND), .DLYYC1(AFLSDF_GND), 
        .DLYYC2(AFLSDF_GND), .DLYYC3(AFLSDF_GND), .DLYYC4(AFLSDF_GND), 
        .DLYGLC0(AFLSDF_GND), .DLYGLC1(AFLSDF_GND), .DLYGLC2(
        AFLSDF_GND), .DLYGLC3(AFLSDF_GND), .DLYGLC4(AFLSDF_GND), 
        .FINDIV0(GND), .FINDIV1(GND), .FINDIV2(GND), .FINDIV3(VCC), 
        .FINDIV4(VCC), .FINDIV5(GND), .FINDIV6(GND), .FBDIV0(VCC), 
        .FBDIV1(VCC), .FBDIV2(GND), .FBDIV3(VCC), .FBDIV4(GND), 
        .FBDIV5(GND), .FBDIV6(GND), .FBDLY0(GND), .FBDLY1(GND), 
        .FBDLY2(GND), .FBDLY3(GND), .FBDLY4(GND), .FBSEL0(VCC), 
        .FBSEL1(GND), .XDLYSEL(GND), .VCOSEL0(GND), .VCOSEL1(GND), 
        .VCOSEL2(GND));
    INV \Counter1_0/INV_0  (.A(\Counter1_0/DFN1E1C0_NU_9_net_1 ), .Y(
        \Counter1_0/INV_0_Y ));
    IOPAD_IN \INBUF_FF_0/U0/U0  (.PAD(FF), .Y(\INBUF_FF_0/U0/NET1 ));
    OR3C \Counter1_0/DFN1E1C0_NU_15_RNO_0  (.A(
        \Counter1_0/DFN1E1C0_NU_13_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_14_net_1 ), .C(
        \Counter1_0/DFN1E1C0_NU_12_net_1 ), .Y(
        \Counter1_0/G_18_0_0_o2_1 ));
    AX1 \Counter1_0/DFN1E1C0_NU_15_RNO  (.A(\Counter1_0/G_18_0_0_o2_1 )
        , .B(\Counter1_0/NU_9_10_11_0 ), .C(
        \Counter1_0/DFN1E1C0_NU_15_net_1 ), .Y(\Counter1_0/XOR2_5_Y ));
    AND2 \Counter1_0/U_AND2_15_16  (.A(
        \Counter1_0/DFN1E1C0_NU_15_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_16_net_1 ), .Y(\Counter1_0/NU_15_16 ));
    XOR2 \Counter1_0/XOR2_7  (.A(\Counter1_0/DFN1E1C0_NU_4_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_3_net_1 ), .Y(\Counter1_0/XOR2_7_Y ));
    AX1B \Counter1_0/DFN1E1C0_NU_17_RNO  (.A(
        \Counter1_0/G_10_0_0_o2_5 ), .B(\Counter1_0/G_10_0_0_o2_6 ), 
        .C(Counter1_0_Q17to17), .Y(\Counter1_0/XOR2_8_Y ));
    OR2B \Counter1_0/DFN1E1C0_NU_14_RNO_0  (.A(
        \Counter1_0/DFN1E1C0_NU_13_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_12_net_1 ), .Y(
        \Counter1_0/G_1_0_0_o2_0 ));
    NOR3C \Counter1_0/DFN1E1C0_NU_11_RNIPM1A  (.A(
        \Counter1_0/DFN1E1C0_NU_10_net_1 ), .B(
        \Counter1_0/DFN1E1C0_NU_11_net_1 ), .C(
        \Counter1_0/DFN1E1C0_NU_9_net_1 ), .Y(
        \Counter1_0/NU_9_10_11_0 ));
    DFN1C0 \Counter1_0/DFN1C0_NU_0  (.D(\Counter1_0/INV_3_Y ), .CLK(
        CLKGEN_0_GLA), .CLR(AND2_0_Y), .Q(
        \Counter1_0/DFN1C0_NU_0_net_1 ));
    CLKINT AND2_0_CLKINT (.A(AND2_0_Y_CLKINT_DRIVER), .Y(AND2_0_Y));
    INV \Counter1_0/INV_3  (.A(\Counter1_0/DFN1C0_NU_0_net_1 ), .Y(
        \Counter1_0/INV_3_Y ));
    INV \Counter1_0/INV_2  (.A(\Counter1_0/DFN1E1C0_NU_3_net_1 ), .Y(
        \Counter1_0/INV_2_Y ));
    AX1C \Counter1_0/DFN1C0_NU_6_RNO  (.A(\Counter1_0/NU_0_1_2 ), .B(
        \Counter1_0/NU_3_4_5_0 ), .C(\Counter1_0/DFN1C0_NU_6_net_1 ), 
        .Y(\Counter1_0/XOR2_10_Y ));
    AX1C \Counter2_0/XOR2_0  (.A(\Q_c[0] ), .B(\Q_c[1] ), .C(\Q_c[2] ), 
        .Y(\Counter2_0/XOR2_0_Y ));
    OR3A \Counter1_0/DFN1E1C0_NU_12_RNI4GMC1  (.A(
        \Counter1_0/NU_3_4_5_0 ), .B(\Counter1_0/G_10_0_0_o2_3 ), .C(
        \Counter1_0/G_10_0_0_o2_2 ), .Y(\Counter1_0/G_10_0_0_o2_5 ));
    GND GND_power_inst1 (.Y(GND_power_net1));
    VCC VCC_power_inst1 (.Y(VCC_power_net1));
    
endmodule
