// ****************************************************
// Created by: ACTgen 9.0.3.3
// Date : Fri Sep 03 19:16:11 2010 
// Parameters:
//   WIDTH:18
//   DIRECTION:UP
//   CLK_EDGE:RISE
//   CLR_POLARITY:0
//   PRE_POLARITY:2
//   EN_POLARITY:2
//   LD_POLARITY:2
//   TCNT_POLARITY:2
// ****************************************************

module Counter1_behave (Clock, Q, Aclr);

  input Clock;
  output [17:0] Q;
  input Aclr;

  reg [17:0] Qaux;

  always @(posedge Clock or negedge Aclr)
  begin

    if (!Aclr)
      Qaux <= 18'b000000000000000000;
    else Qaux <= Qaux + 1;

  end

  assign Q = Qaux;

endmodule