`timescale 1 ns/100 ps
// Version: 9.0 SP2 9.0.3.3


module Counter1(
       Aclr,
       Clock,
       Q
    );
input  Aclr;
input  Clock;
output [17:0] Q;

    wire NU_0_1, NU_0_1_2, NU_3_4, NU_3_4_5, NU_6_7, NU_6_7_8, NU_9_10, 
        NU_9_10_11, NU_12_13, NU_12_13_14, NU_15_16, NU_15_16_17, 
        NU_0_to_8, NU_9_to_17, NU_9_to_14, XOR2_4_Y, AND2_7_Y, 
        XOR2_5_Y, AND2_2_Y, INV_0_Y, XOR2_10_Y, AND2_4_Y, XOR2_12_Y, 
        AND2_0_Y, XOR2_7_Y, XOR2_0_Y, AND2_1_Y, XOR2_3_Y, AND2_6_Y, 
        XOR2_11_Y, INV_1_Y, XOR2_9_Y, AND2_9_Y, XOR2_6_Y, AND2_5_Y, 
        INV_3_Y, INV_2_Y, XOR2_1_Y, AND2_3_Y, XOR2_8_Y, AND2_10_Y, 
        XOR2_13_Y, XOR2_2_Y, AND2_8_Y;
    
    AND2 AND2_9 (.A(Q[0]), .B(Q[1]), .Y(AND2_9_Y));
    XOR2 XOR2_9 (.A(Q[2]), .B(AND2_9_Y), .Y(XOR2_9_Y));
    AND2 U_AND2_0_1 (.A(Q[0]), .B(Q[1]), .Y(NU_0_1));
    DFN1E1C0 DFN1E1C0_NU_16 (.D(XOR2_12_Y), .CLK(Clock), .CLR(Aclr), 
        .E(Q[15]), .Q(Q[16]));
    XOR2 XOR2_1 (.A(Q[14]), .B(AND2_3_Y), .Y(XOR2_1_Y));
    XOR2 XOR2_10 (.A(Q[6]), .B(AND2_4_Y), .Y(XOR2_10_Y));
    AND2 U_AND2_9_10 (.A(Q[9]), .B(Q[10]), .Y(NU_9_10));
    AND2 AND2_0 (.A(NU_0_to_8), .B(NU_9_to_14), .Y(AND2_0_Y));
    DFN1E1C0 DFN1E1C0_NU_7 (.D(XOR2_2_Y), .CLK(Clock), .CLR(Aclr), .E(
        Q[6]), .Q(Q[7]));
    XOR2 XOR2_7 (.A(Q[4]), .B(Q[3]), .Y(XOR2_7_Y));
    DFN1E1C0 DFN1E1C0_NU_15 (.D(XOR2_5_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_to_8), .Q(Q[15]));
    DFN1E1C0 DFN1E1C0_NU_3 (.D(INV_2_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_1_2), .Q(Q[3]));
    INV INV_3 (.A(Q[0]), .Y(INV_3_Y));
    DFN1C0 DFN1C0_NU_2 (.D(XOR2_9_Y), .CLK(Clock), .CLR(Aclr), .Q(Q[2])
        );
    AND2 U_AND2_12_13 (.A(Q[12]), .B(Q[13]), .Y(NU_12_13));
    INV INV_1 (.A(Q[1]), .Y(INV_1_Y));
    DFN1E1C0 DFN1E1C0_NU_13 (.D(XOR2_6_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_to_8), .Q(Q[13]));
    AND2 AND2_2 (.A(NU_9_10_11), .B(NU_12_13_14), .Y(AND2_2_Y));
    AND3 U_AND3_12_13_14 (.A(Q[12]), .B(Q[13]), .C(Q[14]), .Y(
        NU_12_13_14));
    AND2 AND2_8 (.A(NU_0_1_2), .B(NU_3_4_5), .Y(AND2_8_Y));
    AND2 AND2_5 (.A(NU_9_10_11), .B(Q[12]), .Y(AND2_5_Y));
    AND2 AND2_4 (.A(NU_0_1_2), .B(NU_3_4_5), .Y(AND2_4_Y));
    AND2 AND2_1 (.A(Q[9]), .B(Q[10]), .Y(AND2_1_Y));
    AND2 AND2_3 (.A(NU_9_10_11), .B(NU_12_13), .Y(AND2_3_Y));
    AND2 AND2_7 (.A(Q[3]), .B(Q[4]), .Y(AND2_7_Y));
    DFN1E1C0 DFN1E1C0_NU_10 (.D(XOR2_11_Y), .CLK(Clock), .CLR(Aclr), 
        .E(NU_0_to_8), .Q(Q[10]));
    DFN1E1C0 DFN1E1C0_NU_17 (.D(XOR2_8_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_15_16), .Q(Q[17]));
    AND3 U_AND3_6_7_8 (.A(Q[6]), .B(Q[7]), .C(Q[8]), .Y(NU_6_7_8));
    XOR2 XOR2_12 (.A(Q[16]), .B(AND2_0_Y), .Y(XOR2_12_Y));
    DFN1E1C0 DFN1E1C0_NU_1 (.D(INV_1_Y), .CLK(Clock), .CLR(Aclr), .E(
        Q[0]), .Q(Q[1]));
    XOR2 XOR2_3 (.A(Q[8]), .B(AND2_6_Y), .Y(XOR2_3_Y));
    DFN1E1C0 DFN1E1C0_NU_12 (.D(XOR2_13_Y), .CLK(Clock), .CLR(Aclr), 
        .E(NU_0_to_8), .Q(Q[12]));
    AND2 AND2_6 (.A(NU_0_1_2), .B(NU_3_4_5), .Y(AND2_6_Y));
    AND2 U_AND2_6_7 (.A(Q[6]), .B(Q[7]), .Y(NU_6_7));
    AND3 U_AND3_9_10_11 (.A(Q[9]), .B(Q[10]), .C(Q[11]), .Y(NU_9_10_11)
        );
    AND3 U_AND3_3_4_5 (.A(Q[3]), .B(Q[4]), .C(Q[5]), .Y(NU_3_4_5));
    DFN1C0 DFN1C0_NU_0 (.D(INV_3_Y), .CLK(Clock), .CLR(Aclr), .Q(Q[0]));
    INV INV_2 (.A(Q[3]), .Y(INV_2_Y));
    DFN1E1C0 DFN1E1C0_NU_9 (.D(INV_0_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_to_8), .Q(Q[9]));
    DFN1E1C0 DFN1E1C0_NU_4 (.D(XOR2_7_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_1_2), .Q(Q[4]));
    AND3 U_AND3_0_1_2 (.A(Q[0]), .B(Q[1]), .C(Q[2]), .Y(NU_0_1_2));
    XOR2 XOR2_0 (.A(Q[11]), .B(AND2_1_Y), .Y(XOR2_0_Y));
    AND2 AND2_10 (.A(NU_0_to_8), .B(NU_9_to_14), .Y(AND2_10_Y));
    XOR2 XOR2_13 (.A(Q[12]), .B(NU_9_10_11), .Y(XOR2_13_Y));
    XOR2 XOR2_5 (.A(Q[15]), .B(AND2_2_Y), .Y(XOR2_5_Y));
    DFN1E1C0 DFN1E1C0_NU_5 (.D(XOR2_4_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_1_2), .Q(Q[5]));
    DFN1E1C0 DFN1E1C0_NU_11 (.D(XOR2_0_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_to_8), .Q(Q[11]));
    AND2 U_AND2_15_16 (.A(Q[15]), .B(Q[16]), .Y(NU_15_16));
    XOR2 XOR2_2 (.A(Q[7]), .B(AND2_8_Y), .Y(XOR2_2_Y));
    XOR2 XOR2_6 (.A(Q[13]), .B(AND2_5_Y), .Y(XOR2_6_Y));
    DFN1E1C0 DFN1E1C0_NU_14 (.D(XOR2_1_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_0_to_8), .Q(Q[14]));
    XOR2 XOR2_4 (.A(Q[5]), .B(AND2_7_Y), .Y(XOR2_4_Y));
    AND3 U_U_AND3_9_to_17 (.A(NU_9_10_11), .B(NU_12_13_14), .C(
        NU_15_16_17), .Y(NU_9_to_17));
    XOR2 XOR2_8 (.A(Q[17]), .B(AND2_10_Y), .Y(XOR2_8_Y));
    DFN1C0 DFN1C0_NU_6 (.D(XOR2_10_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[6]));
    AND2 U_AND2_3_4 (.A(Q[3]), .B(Q[4]), .Y(NU_3_4));
    AND3 U_AND3_15_16_17 (.A(Q[15]), .B(Q[16]), .C(Q[17]), .Y(
        NU_15_16_17));
    DFN1E1C0 DFN1E1C0_NU_8 (.D(XOR2_3_Y), .CLK(Clock), .CLR(Aclr), .E(
        NU_6_7), .Q(Q[8]));
    XOR2 XOR2_11 (.A(Q[10]), .B(Q[9]), .Y(XOR2_11_Y));
    AND2 U_U_AND2_9_to_14 (.A(NU_9_10_11), .B(NU_12_13_14), .Y(
        NU_9_to_14));
    INV INV_0 (.A(Q[9]), .Y(INV_0_Y));
    AND3 U_U_AND3_0_to_8 (.A(NU_0_1_2), .B(NU_3_4_5), .C(NU_6_7_8), .Y(
        NU_0_to_8));
    
endmodule
